petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSSetPostEventIntervalStep

Set the time-step used immediately following the event interval

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetPostEventIntervalStep(TS ts,PetscReal dt)

Logically Collective

### Input Arguments

| ts | - time integration context
| dt | - post event interval step

### Options Database Keys

-ts_event_post_eventinterval_step <dt> time -step after event interval

### Notes

TSSetPostEventIntervalStep allows one to set a time-step that is used immediately following an event interval.

This function should be called from the postevent function set with TSSetEventHandler().

The post event interval time-step should be selected based on the dynamics following the event. If the dynamics are stiff, a conservative (small) step should be used. If not, then a larger time-step can be used.

.seealso: TS, TSEvent, TSSetEventHandler()

### Level

Advanced

### Location

src/ts/event/tsevent.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages